# Uses of Interface
java.lang.classfile.ClassSignature

Packages that use ClassSignature
Package
Description
java.lang.classfile
Provides classfile parsing, generation, and transformation library.
java.lang.classfile.attribute
Provides interfaces describing `class` file attributes for the `java.lang.classfile` library.

## Uses of ClassSignature in java.lang.classfile

Methods in java.lang.classfile that return ClassSignature
Modifier and Type
Method
Description
`static ClassSignature`
ClassSignature.`of(Signature.ClassTypeSig superclassSignature, Signature.ClassTypeSig... superinterfaceSignatures)`
Returns a class signature with no type parameter declaration.
`static ClassSignature`
ClassSignature.`of(List<Signature.TypeParam> typeParameters, Signature.ClassTypeSig superclassSignature, Signature.ClassTypeSig... superinterfaceSignatures)`
Returns a class signature.
`static ClassSignature`
ClassSignature.`parseFrom(String classSignature)`
Parses a raw class signature string into a Signature.

## Uses of ClassSignature in java.lang.classfile.attribute

Methods in java.lang.classfile.attribute that return ClassSignature
Modifier and Type
Method
Description
`default ClassSignature`
SignatureAttribute.`asClassSignature()`
Parses the signature string as a class signature.
Methods in java.lang.classfile.attribute with parameters of type ClassSignature
Modifier and Type
Method
Description
`static SignatureAttribute`
SignatureAttribute.`of(ClassSignature classSignature)`
Returns a `Signature` attribute for a class.